Nightly rows
curl --request GET \
--url https://my.apnealytics.com/api/v1/me/nights \
--header 'Authorization: Bearer <token>'import requests
url = "https://my.apnealytics.com/api/v1/me/nights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.apnealytics.com/api/v1/me/nights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://my.apnealytics.com/api/v1/me/nights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://my.apnealytics.com/api/v1/me/nights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://my.apnealytics.com/api/v1/me/nights")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://my.apnealytics.com/api/v1/me/nights")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nights": [
{
"date": "2026-10-13",
"usage_min": 441,
"ahi": 2.9,
"oai": 1.1,
"cai": 0.3,
"hi": 1.4,
"uai": 0.1,
"leak_50": 3.6,
"leak_95": 11.4,
"press_50": 9.2,
"press_95": 10.8,
"rr_50": 14.5,
"spo2_50": 95,
"set_min": 7,
"set_max": 15,
"epr": 2,
"epr_enabled": true,
"mode": 1,
"source": "resmed"
}
],
"count": 1,
"total": 212,
"limit": 30
}{
"error": "invalid_request"
}{
"error": "unauthorized"
}{
"error": "server_error"
}Therapy
Nightly rows
Returns individual nightly rows in ascending date order. Optionally filter by an inclusive date window with from / to. The response contains the most recent limit rows that match the filter (default 100, maximum 1000); total is the number of rows matching the filter before the limit is applied.
Non-ResMed machines (DreamStation, F&P SleepStyle, DeVilbiss, BMC) currently populate usage and pressure settings only — clinical fields such as AHI sub-indices and leak are null for those nights.
GET
/
api
/
v1
/
me
/
nights
Nightly rows
curl --request GET \
--url https://my.apnealytics.com/api/v1/me/nights \
--header 'Authorization: Bearer <token>'import requests
url = "https://my.apnealytics.com/api/v1/me/nights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.apnealytics.com/api/v1/me/nights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://my.apnealytics.com/api/v1/me/nights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://my.apnealytics.com/api/v1/me/nights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://my.apnealytics.com/api/v1/me/nights")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://my.apnealytics.com/api/v1/me/nights")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nights": [
{
"date": "2026-10-13",
"usage_min": 441,
"ahi": 2.9,
"oai": 1.1,
"cai": 0.3,
"hi": 1.4,
"uai": 0.1,
"leak_50": 3.6,
"leak_95": 11.4,
"press_50": 9.2,
"press_95": 10.8,
"rr_50": 14.5,
"spo2_50": 95,
"set_min": 7,
"set_max": 15,
"epr": 2,
"epr_enabled": true,
"mode": 1,
"source": "resmed"
}
],
"count": 1,
"total": 212,
"limit": 30
}{
"error": "invalid_request"
}{
"error": "unauthorized"
}{
"error": "server_error"
}Authorizations
Query Parameters
Response
A page of nightly rows.